# Bootstrap 4 for Corcoran

Includes Bootstrap 4 and Corcoran's bootstrap themes

## Installation

  `npm install @justindavidross/bootstrap-corcoran`


## Usage
### Include Bootstrap and Bootstrap Corcoran Blue theme
In app.scss file ...

`@import 'node_modules/bootstrap-corcoran/bootstrap-corcoran-blue.scss';`

Then include app.scss in the top level of your app.


### Include Only Bootstrap
In app.scss file ...

`@import 'node_modules/bootstrap-corcoran/bootstrap/scss/bootstrap.scss';`

Then include app.scss in the top level of your app.

## Modifying the NPM Package
1. Checkout this repoitory

2. cd into directory

3. Create a new branch, make your changes, push changes to new branch

4. Create a PR for your changes into master

5. Get the code reviewed

6. Merge into master after approval

7. Locally, checkout your master branch and get latest changes

8. run the following command: npm version [patch, minor, or major] -m "Creating new version %s" Example: 

npm version patch -m "Version %s for whatever the reason is for changing"

  This modifies the package.json.

9. run the following command: 

git push origin master --tags

10. npm publish


## Tests

  `npm test`

## Contributing
